Subject: bug#16980: eieio-generic-call shouldn't load libraries

From: Jonas Bernoulli <[email-masked]>
Date: Mon, 10 Mar 2014 19:35:28 +0100

eieio-generic-call loads the respective library when the first method
argument is a symbol which also happens to be the name of an autoloaded
function.  This is justifies like this:

    Is the class passed in autoloaded?
    Since class names are also constructors, they can be autoloaded
    via the autoload command.  Check for this, and load them in.
    It is ok if it doesn't turn out to be a class.  Probably want that
    function loaded anyway.

That assumption isn't always true.  E.g. I have written a little tool
that deals with Elisp libraries.  Some of methods are not only
implemented for objects that represent libraries but also for symbols
which stand for such libraries.  I was very surprised when calling these
methods started to load libraries.

  Best regards,
  Jonas